For Developers

List Application Clients

GET https://ed.link/api/v2/teams/:team_id/applications/:application_id/clients

Returns all SSO clients configured for the application. Each client is a model-shaped MikroORM Client entity. Managed provider clients omit provider secrets in the response.

Requires clients.read system permission.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/clients`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": [
        {
            "id": "1240bc10-4d5b-48c5-b967-6e7e778dcc48",
            "created_date": "2023-01-10T16:05:00.000Z",
            "updated_date": "2024-09-01T14:20:00.000Z",
            "provider_id": "google",
            "state": "active",
            "configuration": {
                "redirect_uris": ["https://app.example.com/callback"]
            }
        }
    ]
}
  • POST /api/v2/teams/:team_id/applications/:application_id/clients — Create a client
  • PATCH /api/v2/teams/:team_id/applications/:application_id/clients/:client_id — Update a client
  • DELETE /api/v2/teams/:team_id/applications/:application_id/clients/:client_id — Delete a client